SystemOrganization addCategory: 'ConfigurationOfOrbeon'!

BaselineOf subclass: #BaselineOfOrbeon
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeon'!

!BaselineOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 09/20/2015 17:59'!
baseline: spec
  <baseline>

   spec
     for: #'common' do: [
       spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
       spec
         project: 'XMLSupport'
         with: [ spec
					 className: 'ConfigurationOfXMLSupport';
					 versionString: '1.2.2.1';
					 loads: #('Core');
					 file: 'ConfigurationOfXMLSupport';
					 repository: 'http://www.squeaksource.com/XMLSupport' ].
       spec package: 'Orbeon-BrunoBB' with: [ spec requires: 'XMLSupport' ] ]! !

ConfigurationOf subclass: #ConfigurationOfOrbeon
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeon'!

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 14:56'!
baseline1175: spec
	<version: '1.175-baseline'>
 
	spec for: #common do: [
        spec blessing: #baseline.
		spec repository: 'http://ss3.gemtalksystems.com/ss/Orbeon'.
		spec project: 'XMLSupport' with: [
			spec className: 'ConfigurationOfXMLSupport';
				versionString: '1.2.2.1';
				loads: #('Core');
				file: 'ConfigurationOfXMLSupport';
				repository: 'http://www.squeaksource.com/XMLSupport'].
		spec 	
			package: 'Orbeon' with: [spec requires: 'XMLSupport'].
	].! !

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 13:36'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '1.175-baseline'.! !

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 13:36'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '1.175'.! !

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 13:36'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '1.175'.! !

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 14:55'!
version1175: spec
	<version: '1.175' imports: #('1.175-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'BrunoBB'.
		spec project: 'XMLSupport' with: '1.2.2.1'.
		spec package: 'Orbeon' with: 'Orbeon-BrunoBB.1175'.

	]! !

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 14:36'!
versionNumberClass
     ^ MetacelloVersionNumber! !
